def "nu-complete git-ea branches" [] {
    ^git-ea branch -l | lines | each { |line| $line | str trim }
}

# Backport
export extern "git ea backport" [
    --from(-f) # From branch
    --list(-l) # Open a web browser to view needed backports
    --push(-p) # Push immediately
    --to(-t)   # To branch
]

# Branch
export extern "git ea branch" [
    name?: string   # Branch name
    --base(-b)     # Branch base
    --ide(-i)      # Open an IDE for the new branch
    --list(-l)     # List branches
    --no-fetch(-n) # Skip fetching
]

# CD
export extern "git ea cd" [
    workspace?: string@"nu-complete git-ea branches" # Workspace
    --print(-p)                                      # Print instead of spawning shell
]

# Cleanup
export extern "git ea cleanup" [
    ...branches: string # Branch names
    --force(-f)         # Force cleanup
    --prune(-p)         # Prune worktrees
]

# Frontport
export extern "git ea frontport" [
    --from(-f) # From branch
    --push(-p) # Push immediately
    --to(-t)   # To branch
]

# IDE
export extern "git ea ide" [
    workspace?: string@"nu-complete git-ea branches" # Workspace
    --gui(-g)                                        # Prefer GUI
]

# Init
export extern "git ea init" []

# Post
export extern "git ea post" [
    --author(-a)    # Author
    --changelog(-c) # Changelog (no header)
    --milestone(-m) # Milestone
    --output(-o)    # Output file (default: `content/post/release-of-${milestone}.md`)
]

# PR
export extern "git ea pr" [
    index: int # PR index
    --ide(-i)  # Open IDE for this PR
]

# Tag
export extern "git ea tag" [
    branch?: string # The branch to tag
    --push(-p)      # Push immediately
]

